--[[
	ChatLootValue: A chat message loot value addon.
	Copyright (c) 2011 Cyprias <Cyprias@gmail.com>
	All Rights Reserved.
]]

--[[
	Pricing system stolen from LilSparky's Workshop.
	http://www.wowace.com/addons/lil-sparkys-workshop/
]]

local folder, core = ...
local L = core.L or LibStub("AceLocale-3.0"):GetLocale(folder, true)

local ipairs = ipairs
local _G = _G

do

	local function AuctionPrice(itemID)
		return _G.Atr_GetAuctionBuyout(itemID)
	end


	local function Init()
		core:RegisterAlgorithm(L["Auctionator"], AuctionPrice)
	end


	local function Test(index)
		if _G.Atr_GetAuctionBuyout then
			return true
		end

		return false
	end

	core:RegisterPricingSupport("Auctionator", Test, Init)
end
