--[[
	ChatLootValue: A chat message loot value addon.
	Copyright (c) 2011 Cyprias <Cyprias@gmail.com>
	All Rights Reserved.
]]

--[[
	Pricing system stolen from LilSparky's Workshop.
	http://www.wowace.com/addons/lil-sparkys-workshop/
]]

local folder, core = ...
local L = core.L or LibStub("AceLocale-3.0"):GetLocale(folder, true)

local GetItemInfo = GetItemInfo

do

	local function VendorValue(itemID)
		local _, _, _, _, _, _, _, _, _, _, vendorPrice = GetItemInfo(itemID)
		return vendorPrice
	end
	core.vendorValue = VendorValue

	local function Init()
		core:RegisterAlgorithm(L["Vendor Value"], VendorValue)
	end


	local function Test()
		if GetItemInfo then
			return true
		end

		return false
	end

	core:RegisterPricingSupport("VendorPrice", Test, Init)
end